Range-v3 Range algorithms, views, and actions for the Standard Library |

Typedefs
lazy
Meta » Trait » Invocation

## Description

## Typedefs
template<typename T >
using | meta::lazy::_t = defer< _t, T >
template<typename T >
using | meta::lazy::id = defer< id, T >
template<typename Fn , typename... Args>
using | meta::lazy::invoke = defer< invoke, Fn, Args... >

## Typedef Documentation

## ◆ _t

template<typename T >

using meta::lazy::_t = typedef defer<_t, T>

`#include <meta/meta.hpp>`

See also
  `meta::_t`

## ◆ id

template<typename T >

using meta::lazy::id = typedef defer<id, T>

`#include <meta/meta.hpp>`

See also
  `meta::id`

## ◆ invoke

template<typename Fn , typename... Args>

using meta::lazy::invoke = typedef defer<invoke, Fn, Args...>

`#include <meta/meta.hpp>`

See also
  `meta::invoke`